gnutls_dh_params_export_pkcs3(3)

NAME
gnutls_dh_params_export_pkcs3 - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_dh_params_export_pkcs3(gnutls_dh_params_t params, gnutls_x509_crt_fmt_t format, unsigned char * params_data, size_t * params_data_size);

ARGUMENTS

gnutls_dh_params_t params
    Holds the DH parameters

gnutls_x509_crt_fmt_t format
    the format of output params. One of PEM or DER.

unsigned char * params_data
    will contain a PKCS3 DHParams structure PEM or DER encoded

size_t * params_data_size
    holds the size of params_data (and will be replaced by the actual size of parameters)

DESCRIPTION
This function will export the given dh parameters to a PKCS3 DHParams structure. This is the format generated by "openssl dhparam" tool. If the buffer provided is not long enough to hold the output, then GNUTLS_E_SHORT_MEMORY_BUFFER will be returned. If the structure is PEM encoded, it will have a header of "BEGIN DH PARAMETERS".

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/